package com.bytesw.bytebot.model.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 09-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Getter
public enum AgentStatusEnum {

    CREATED("CR"),
    PENDING_SYNCHRONIZED("PS"),
    DEPLOYED("DP"),
    DELETED("DE");

    private static final Map<String, AgentStatusEnum> map = new HashMap<>();

    private String name;

    AgentStatusEnum(String name) {
        this.name = name;
    }

    static {
        for (AgentStatusEnum type : AgentStatusEnum.values()) {
            map.put(type.name, type);
        }
    }

    public static AgentStatusEnum fromString(String name) {
        return map.get(name);
    }
}
